<?php


class cBanco{


	function ultimoInsert(){
	$sql = "SELECT last_insert_id()"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}

	
	function insertar($bannom,$banabr){
		$sql = "INSERT tb_banco (
		`tb_banco_nom`,
		`tb_banco_abr`
		)
		VALUES (
		'$bannom','$banabr');"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function modificar($id,$bannom,$banabr){
		$sql = "UPDATE tb_banco SET  
				`tb_banco_nom` =  '$bannom',
				`tb_banco_abr` =  '$banabr'
			WHERE tb_banco_id = '$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function mostrarUno($id){
		$sql="SELECT * FROM tb_banco WHERE tb_banco_id='$id' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}


	function filtrar($ban){

	$sql="SELECT * FROM tb_banco WHERE tb_banco_xac='1'";

	
	if($ban!="") $sql.="and tb_banco_nom like '%$ban%'";
	
	$sql.="ORDER BY tb_banco_nom";
	
	

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}


}


?>